var docDefinition = {
	content: [
		'Paragraph 1',
		'Paragraph 2'
	]
};


var fonts = {
	Roboto: {
		normal: 'fonts/Roboto-Regular.ttf',
		bold: 'fonts/Roboto-Medium.ttf',
		italics: 'fonts/Roboto-Italic.ttf',
		bolditalics: 'fonts/Roboto-Italic.ttf'
	}
};

var PdfPrinter = require('pdfmake');
var printer = new PdfPrinter(fonts);

var pdfDoc = printer.createPdfKitDocument(docDefinition);
pdfDoc.write('bootstrap.pdf');



/* Sample Doc Definition 
var docDefinition = {
	pageSize: {
		width: 595.28,
		height: 841.89
	},
	pageMargins: {
		left: 40,
		top: 40,
		right: 40,
		bottom: 40
	},
	content: [
		'Paragraph 1',
		'Paragraph 2'
	],
	styles: {
		header: {
			fontSize: 20,
		},
		anotherStyle: {
			font: 'Roboto',
			fontSize: 12,
			bold: true,
			italics: false,

			alignment: 'left',
			// possible alignment values:
			// 'left' (default)
			// 'right',
			// 'center',
			// 'justified'

			color: 'black',
			columnGap: 20,

			margin: 10,
			// sample margin values:
			// 10            - equal left/right/top/bottom
			// [10, 20]	     - [horizontal, vertical]
			// [1, 2, 3, 4]  - [left, top, right, bottom]
		}
	},
	defaultStyle: {
	},

	content: [
		// text paragraph
		'Sample paragraph',

		// text inline styling
		{ text: 'Another text', fontSize: 20 },

		// applying styles
		{ text: 'Another text', style: 'header' },

		// applying multiple styles
		{ text: 'Another text', style: ['header', 'anotherStyle'] },

		// styling inline elements
		{ 
			text: [
				'Yet Another ',
				{ text: ' example', bold: true }
			]
		},


		// columns

		// simple
		{
			columns: [
				'first column',
				'second column',
			]
		},

		// column widths
		{
			columns: [
				{ 
					text: 'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Malit profecta versatur nomine ocurreret multavit, officiis viveremus aeternum superstitio suspicor alia nostram, quando nostros congressus susceperant concederetur leguntur iam, vigiliae democritea tantopere causae, atilii plerumque ipsas potitur pertineant multis rem quaeri pro, legendum didicisse credere ex maluisset per videtis. Cur discordans praetereat aliae ruinae dirigentur orestem eodem, praetermittenda divinum. Collegisti, deteriora malint loquuntur officii cotidie finitas referri doleamus ambigua acute. Adhaesiones ratione beate arbitraretur detractis perdiscere, constituant hostis polyaeno. Diu concederetur.',
					width: 120,
				},
				{ 
					text: 'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Malit profecta versatur nomine ocurreret multavit, officiis viveremus aeternum superstitio suspicor alia nostram, quando nostros congressus susceperant concederetur leguntur iam, vigiliae democritea tantopere causae, atilii plerumque ipsas potitur pertineant multis rem quaeri pro, legendum didicisse credere ex maluisset per videtis. Cur discordans praetereat aliae ruinae dirigentur orestem eodem, praetermittenda divinum. Collegisti, deteriora malint loquuntur officii cotidie finitas referri doleamus ambigua acute. Adhaesiones ratione beate arbitraretur detractis perdiscere, constituant hostis polyaeno. Diu concederetur.',
					width: '*',
				},
				{ 
					text: 'Sample text' ,
					width: 'auto',
				},
			]
		},

		// paragraph stacks
		[
			'arrays are treated as paragraphs',
			'another paragraph'
		],

		// styling paragraphs
		{
			style: 'header'
			stack: [
				'Paragraph 1',
				'Paragraph 2',
			]
		},


		// ordered lists
		{
			ol: [
				'element 1',
				'element 2'
			]
		},

		// unordered lists
		{
			ul: [
				'element 1',
				'element 2'
			]
		}


		// simple table
		{
			table: {
				// headerRows: 1,
				// keepWithHeaderRows: 1
				widths: 'auto',
				body: [
					['Column 1', 'Column 2', 'Column 3', 'Column 4'],
					['a', 'b', 'c', 'd'],
				]
			}
		}
	]
// */